<template lang="pug">
  div(class="main")
    div(class="main__min-width")
      div(class="main__min-width__wrapper")
        div {{ $t('error.minScreen') }}
        IconArrowsHorizontal()/
    LayoutHeader()/
    main
      Nuxt/
    LayoutFooter()
</template>

<script>

import IconArrowsHorizontal from '~/assets/svg/ph-arrows-horizontal-fill.svg?inline';

export default {
  components: {
    IconArrowsHorizontal,
  },
}
</script>

<style lang="scss">
html {
  body {
    min-width: 320px !important;
    font-family: 'Roboto Condensed', -apple-system, system-ui, sans-serif, serif;

    /** disable blue highlight background when tap on link, button etc. */
    input,
    textarea,
    button,
    select,
    a {
      -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    }

    /** disable search field default styling **/
    input[type="search"]::-webkit-search-decoration,
    input[type="search"]::-webkit-search-cancel-button,
    input[type="search"]::-webkit-search-results-button,
    input[type="search"]::-webkit-search-results-decoration {
      -webkit-appearance: none;
    }
  }
}

.disabled {
  @apply
  opacity-25
  cursor-not-allowed
  pointer-events-none
  select-none
  ;
}

#__nuxt, #__layout {
  @apply
  bg-gray-300
  dark:bg-gray-800
  ;

  .main {
    @apply
    flex
    flex-col
    min-h-screen
    ;

    &__min-width {
      @apply
      select-none
      fixed
      top-0
      left-0
      right-0
      bottom-0
      w-full
      h-full
      z-50
      overflow-hidden
      bg-gray-700
      opacity-90
      flex
      flex-col
      items-center
      justify-center
      xs:hidden
      ;

      &__wrapper {
        @apply
        text-gray-300
        p-4
        text-center
        flex
        flex-col
        items-center
        justify-center
        ;

        svg {
          @apply
          w-10
          h-10
          fill-current
          block
          mt-6
          ;
        }
      }
    }

    main {
      @apply
      text-xl
      flex-auto
      text-gray-800
      dark:text-gray-200
      md:text-sm
      filter
      blur-sm
      xs:filter-none
      sm:container
      sm:mx-auto
      grow
      ;
    }
  }
}

</style>